Subject: Re: [PATCH v4 1/3] send-email: implement SMTP bearer authentication

From: Greg Kroah-Hartman <[email-masked]>
Date: Thu, 24 Apr 2025 08:36:07 +0200

On Wed, Apr 23, 2025 at 06:33:52PM +0000, Aditya Garg wrote:
> 
> 
> > On 23 Apr 2025, at 11:34 PM, Junio C Hamano <[email-masked]> wrote:
> > 
> > Aditya Garg <[email-masked]> writes:
> > 
> >> From: Julian Swagemakers <[email-masked]>
> >> 
> >> Manually send SMTP AUTH command for auth type OAUTHBEARER and XOAUTH2.
> >> This is necessary since they are currently not supported by the Perls
> >> Authen::SASL module.
> >> 
> >> The bearer token needs to be passed in as the password. This can be done
> >> with git-credential-oauth[0] after minor modifications[1]. Which will
> >> allow using git send-email with Gmail and oauth2 authentication:
> > 
> > I am not familiar with this area, especially with Authen::SASL, so
> > I'd appreciate a second eye from other reviewers.
> 
> What I've noticed is that other reviewers didn't seem to have reviewed this
> patch for more than a year when the original author proposed this patch.
> Also, oauth2 is something that is significant in today's world and is definitely
> more secure as well.
> 
> Nevertheless, your concern is quite valid, but I would also appreciate atleast
> pinging the other reviewers who might have the knowledge. 
> 
> I'm Ccing Greg, who is credited for this script and the maintainer of the perl module
> as well, with a hope to get a positive response.

Please when you resend the series, feel free to cc: me.  Dragging me in
like this doesn't help much without any context.

thanks,

greg k-h